## Description

<!-- Provide a brief description of the changes in this PR -->

## Type of Change

<!-- Mark the relevant option with an "x" -->

-   [ ] Bug fix (non-breaking change which fixes an issue)
-   [ ] New feature (non-breaking change which adds functionality)
-   [ ] Breaking change (fix or feature that would cause existing functionality
        to not work as expected)
-   [ ] Documentation update
-   [ ] Performance improvement
-   [ ] Refactoring (no functional changes)
-   [ ] Test improvement
-   [ ] Build/CI improvement

## Related Issue

<!-- Link to the issue this PR addresses, if applicable -->

Fixes #(issue number)

## Changes Made

<!-- List the specific changes made in this PR -->

-
-
-

## Affected Modules

<!-- Check all that apply -->

-   [ ] monads (Either, Maybe)
-   [ ] resilience (Circuit Breaker, Retry)
-   [ ] experiments (Builder, Storage, Models)
-   [ ] versioning (Git utilities)
-   [ ] proxy (Immutable)
-   [ ] Tests
-   [ ] Documentation
-   [ ] Build/CI

## Testing

<!-- Describe the tests you ran to verify your changes -->

### Test Configuration

-   Python version:
-   Operating System:

### Test Coverage

-   [ ] Added unit tests for new functionality
-   [ ] Updated existing tests as needed
-   [ ] All tests pass locally
-   [ ] Test coverage maintained or improved

### Manual Testing

<!-- Describe any manual testing performed -->

## Code Quality Checklist

<!-- Ensure all items are checked before submitting -->

-   [ ] My code follows the project's style guidelines
-   [ ] I have run `ruff check` and `ruff format` (or `make lint`)
-   [ ] I have run `mypy` for type checking (or `make typecheck`)
-   [ ] I have run `pyright` for additional type checking
-   [ ] All tests pass (`pytest` or `make test`)
-   [ ] I have added docstrings to all public functions/classes
-   [ ] I have updated type hints where necessary
-   [ ] I have commented my code, particularly in hard-to-understand areas

## Documentation

-   [ ] I have updated the README if needed
-   [ ] I have updated docstrings for modified functions/classes
-   [ ] I have added/updated code examples where appropriate
-   [ ] I have updated DEVELOPMENT.md if development process changed

## Breaking Changes

<!-- If this PR introduces breaking changes, describe them here -->

### Breaking Change Details

<!-- Only fill this out if you checked "Breaking change" above -->

-   What breaks:
-   Migration guide:
-   Justification:

## Performance Impact

<!-- If applicable, describe any performance implications -->

-   [ ] This change has been benchmarked
-   [ ] No significant performance impact expected
-   [ ] Performance improvement (describe below)

### Performance Details

<!-- Only fill if performance is affected -->

## Additional Notes

<!-- Any additional information that reviewers should know -->

## Checklist Before Requesting Review

-   [ ] PR title follows conventional commit format (e.g., `feat:`, `fix:`,
        `docs:`)
-   [ ] PR description is complete and clear
-   [ ] Self-review performed
-   [ ] No debugging code or print statements left
-   [ ] No commented-out code blocks (unless intentionally documented)
-   [ ] Dependencies updated in pyproject.toml if needed
-   [ ] Version bump considered (if applicable)

## Screenshots

<!-- If applicable, add screenshots to help explain your changes -->

---

<!--
Thank you for contributing to frost! 🎉
Please ensure all checklist items are addressed before marking this PR as ready for review.
-->
